<?php

require_once 'connect.php';
require_once 'inc/messages.php';

// retorna array com lista de módulos, ou false se deu erro
function grupo_clifor_getAll() {
  global $conexao;
  $sql = 'select * from erpc_grupo_clifor where st_ativo=?';
  $values[] = '1';
  $result = _prepareAndQuery($sql, $values);
  return $result;
}

// retorna array associativo com objeto, ou false se deu erro/não encontrar
function grupo_clifor_getById($id) {
  global $conexao;
  $sql = 'select * from erpc_grupo_clifor where id=? and st_ativo=1';
  $values[] = $id;
  $result = _prepareAndQuery($sql, $values);
  if ($result !== false) {
    if (count($result) === 1) {
      $result = $result[0];
    } else {
      $result = false;
      addError('Id não encontrado');
    }
  }

  return $result;
}

// insere novo módulo
function grupo_clifor_insert($grupo_clifor, &$error=null) {
  global $conexao;
  $ok = false;
  $sql = 'insert into erpc_grupo_clifor ';
  $campos = array('ds_grupo_clifor', 'st_ativo');
  $values = array();
  foreach($campos as $campo) {
    $values[] = $grupo_clifor[$campo];
  }
  $sql .= '(' . implode(',', $campos) . ') values (' . trim(str_repeat('?,', count($values)), ',') . ')';

  $ok = _prepareAndExecute($sql, $values, $error);
  if ($ok !== false) {
    if ($error === null) {
      addMessage('Inserido com sucesso');
    }
  }
  return $ok;
}

// altera a senha do usuário
function grupo_clifor_update($grupo_clifor) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_grupo_clifor set ';
  $campos = array('ds_grupo_clifor');
  $values = array();
  foreach($campos as $campo) {
    $sql .= $campo . '=?,';
    $values[] = $grupo_clifor[$campo];
  }
  $sql = trim($sql, ',');
  $sql .= ' where id = ?';
  $values[] = $grupo_clifor['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Atualizado com sucesso');
  }
  return $ok;
}

function grupo_clifor_delete($grupo_clifor) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_grupo_clifor set st_ativo = 0';
  $values = array();
  $sql .= ' where id = ?';
  $values[] = $grupo_clifor['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Removido com sucesso');
  }
  return $ok;
}

function grupo_clifor_create() {
  $grupo_clifor = array(
    'id' => '',
    'ds_grupo_clifor' => '',
    'st_ativo' => '1',
  );
  return $grupo_clifor;
}
